from snek.system.form import Form, FormButtonElement, FormInputElement, HTMLElement


class SearchUserForm(Form):

    title = HTMLElement(tag="h1", text="Search user")

    username = FormInputElement(
        name="username",
        required=True,
        min_length=1,
        max_length=128,
        place_holder="Username",
    )

    action = FormButtonElement(
        name="action", value="submit", text="Search", type="button"
    )

